Due to a recent security incident, all user tokens have been invalidated

  • A+
Category:Languages

So I uninstalled the newer version of node that I had on my machine(v8.11.3) and then installed the earlier version v6.11.0 (because my project needs earlier version to do a grunt build). Now when I try to do npm install to restore the packages for my project it gives the following error.

Due to a recent security incident, all user tokens have been invalidated. Please see https://status.npmjs.org/incidents/dn7c1fgrr7ng for more details. To generate a new token, visit https://www.npmjs.com/settings/~/tokens or run npm login.

I tried doing a npm login to generate the token (token generation was successful) but throws same error when I try doing npm install the next time.

 


I got same issue last time.

Steps that I did:

  1. I went to https://www.npmjs.com/settings/~/tokens and generate my token there.
  2. Open new terminal
  3. Execute npm whoami and check if your username appears. If not, do npm login
  4. You should be able to npm install again

Hope it helps

Comment

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: